BadSqlGrammarException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc

## Class BadSqlGrammarException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.InvalidDataAccessResourceUsageException
              - - org.springframework.jdbc.BadSqlGrammarException

- All Implemented Interfaces:
    Serializable

      public class BadSqlGrammarException
      extends InvalidDataAccessResourceUsageException

  Exception thrown when SQL specified is invalid. Such exceptions always have a `java.sql.SQLException` root cause.

  It would be possible to have subclasses for no such table, no such column etc. A custom SQLExceptionTranslator could create such more specific exceptions, without affecting code using this class.

  Author:
    Rod Johnson
  See Also:
    `InvalidResultSetAccessException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BadSqlGrammarException(String task, String sql, SQLException ex)` Constructor for BadSqlGrammarException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSql()` Return the SQL that caused the problem.
    `SQLException` | `getSQLException()` Return the wrapped SQLException.

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadSqlGrammarException

          public BadSqlGrammarException(String task,
                                String sql,
                                SQLException ex)

      Constructor for BadSqlGrammarException.
      Parameters:
        `task` - name of current task
        `sql` - the offending SQL statement
        `ex` - the root cause

  - ### Method Detail

    - #### getSQLException

          public SQLException getSQLException()

      Return the wrapped SQLException.

    - #### getSql

          public String getSql()

      Return the SQL that caused the problem.